Metacat - Bug #3881

Replication not working between KNB and LTER metacats

03/11/2009 01:13 PM - Michael Daigle

Status: Resolved Start date: 03/11/2009
Priority: Immediate Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 1.9 Spent time: 0.00 hour
Bugzilla-ld: 3881

Description

After the 1.9.0 upgrade on knb and Iter, docs are not replicating from knb to lter. Jing is working with Duane C to resolve this issue.

History

#1 - 03/11/2009 01:21 PM - Jing Tao

LTER changed the host name of metacat. But the certificate and the host name in knb xml_replication has not been updated. We think this is the
reason why replication failed. We are waiting to restart tomcat after changing certificate which Duane just created today.

#2 - 03/11/2009 06:07 PM - Jing Tao

After getting the new certificate issued for metacat.lternet.edu and change the server to metacat.lternet.edu:8443/knb/metacat/servlet/replication in
knb xml_replication, tomcat of knb was restarted.

| used morpho to insert an new eml 210 doc, then the doc can be searched and read in both knb and lter. | deleted the doc in knb and lter one was

gone too.

So i think the replication is working now.

#3 - 03/12/2009 10:40 AM - Jing Tao

Got email from Duane and the replication seemed working.

#4 - 03/27/2013 02:24 PM - Redmine Admin

Original Bugzilla ID was 3881
